Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.comadapter.comruntime
Class STCComSafeArray

    java.lang.Object
      com.stc.connector.comadapter.comruntime.STCComSafeArray

    public class STCComSafeArray

extends java.lang.Object

The STCComSafeArray class, which represents a COM SafeArray in Java, is used to exchange arrays with the methods of generated COM OTDs.

Constructor Summary
`STCComSafeArray()` Constructs a blank STCComSafeArray object.

Method Summary
`void` | `clear()` Clears the content of this object from the previously associated Java array
`java.lang.Object` | `getArray()` Gets the Java array associated with this object.
`int` | `getArrayDimensions()` Gets the number of array dimensions for the associated Java array
`java.lang.String` | `getElementClassName()` Gets the class name for the array element in the associated Java array
`void` | `setArray(java.lang.Object newArray)` Sets the Java array associated with this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STCComSafeArray

    public STCComSafeArray()

  Constructs a blank STCComSafeArray object. It can be initialized later using setArray().

  Parameters:
    None.
Throws:
  None.

Method Detail

### setArray

    public void setArray(java.lang.Object newArray)
                  throws java.lang.IllegalArgumentException

  Sets the Java array associated with this object.

  Parameters:
    `newArray` - The new Java array to associate with this object.
  Throws:
    `java.lang.IllegalArgumentException` - Thrown if the array validation fails. Keeps the reference to the previously associated Java array.

### getArray

    public java.lang.Object getArray()

  Gets the Java array associated with this object.

  Parameters:
    None.

  Returns:
    `Object` - Returns an Object reference representing the Java array. Cast it to the appropriate Java type before use.
  Throws:
    None.

### getArrayDimensions

    public int getArrayDimensions()

  Gets the number of array dimensions for the associated Java array

  Parameters:
    None.

  Returns:
    `int` - Returns the number of array dimensions for the associated Java array
  Throws:
    None.

### getElementClassName

    public java.lang.String getElementClassName()

  Gets the class name for the array element in the associated Java array

  Parameters:
    None.

  Returns:
    `String` - Returns the class name for the array element in the associated Java array.
  Throws:
    None.

### clear

    public void clear()

  Clears the content of this object from the previously associated Java array

  Parameters:
    None.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.